For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
API StatusPartner Portal
HomeGuidesAPI ExplorerSDKsGitHubSupport
HomeGuidesAPI ExplorerSDKsGitHubSupport
  • API Concepts
    • Overview
    • Environments and URLs
    • Authentication
    • API versioning
    • Rate limiting
    • HTTP headers
    • Pagination, sorting, and filtering
  • General
  • Common
  • Accounts payable
  • Accounts receivable
      • GETGet receivables
      • POSTSearch receivables
      • POSTCreate a receivable
      • POSTClone a receivable
      • GETGet a receivable by ID
      • PATCHUpdate a receivable
      • PUTUpdate the line items of a receivable
      • POSTVerify a receivable
      • POSTIssue a receivable
      • GETGet a link to the PDF version of a receivable
      • DELDelete a receivable
        • POSTSend a receivable via email
        • POSTPreview a receivable's email message
        • POSTSend a test reminder
        • GETGet a list of all mails sent by receivable
        • GETGet a mail sent by receivable
        • GETGet email template variables
  • E-invoicing
  • Payments
  • Accounting integration
  • Expense management
  • Utilities
LogoLogo
API StatusPartner Portal
Accounts receivableReceivables (invoices, quotes, credit notes)Emails

Send a receivable via email

POST
/receivables/:receivable_id/send
POST
/v1/receivables/:receivable_id/send
$curl -X POST https://api.sandbox.monite.com/v1/receivables/receivable_id/send \
> -H "x-monite-version: 2024-01-31" \
> -H "x-monite-entity-id: 9d2b4c8f-2087-4738-ba91-7359683c49a4" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "body_text": "body_text",
> "subject_text": "subject_text"
>}'
1{
2 "mail_id": "mail_id"
3}
Was this page helpful?
Previous

Preview a receivable's email message

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

receivable_idstringRequired

Headers

x-monite-versionstringRequired
x-monite-entity-idstringRequired
The ID of the entity that owns the requested resource.

Request

This endpoint expects an object.
body_textstringRequired>=1 character
Body text of the content
subject_textstringRequired>=1 character
Subject text of the content
recipientsobjectOptional
languagestringOptional>=1 characterDeprecated
Lowercase ISO code of language

Response

Successful Response
mail_idstringformat: "uuid"

Errors

400
Post Receivables ID Send Request Bad Request Error
401
Post Receivables ID Send Request Unauthorized Error
403
Post Receivables ID Send Request Forbidden Error
404
Post Receivables ID Send Request Not Found Error
409
Post Receivables ID Send Request Conflict Error
422
Post Receivables ID Send Request Unprocessable Entity Error
500
Post Receivables ID Send Request Internal Server Error